%define oname sphinx
Name: python-module-%oname
Version: 1.0.7
Release: alt1
Epoch: 1

Summary: Tool for producing documentation for Python projects
License: BSD
Group: Development/Python
Url: http://sphinx.pocoo.org/

Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source0: %name-%version.tar
Source1: conf.py.template
Source2: macro

BuildArch: noarch

BuildRequires(pre): python-module-objects.inv
BuildPreReq: python-devel python-module-setuptools python-module-simplejson
# for docs
BuildPreReq: texlive-latex-extra python-module-Pygments
BuildPreReq: python-module-docutils python-module-jinja2 texlive-latex-base
# for tests
BuildPreReq:  python-module-nose

%py_requires simplejson

%description
Sphinx is a tool that makes it easy to create intelligent and beautiful
documentation for Python projects (or other documents consisting of
multiple reStructuredText sources)

%package devel
Summary: Development package for Sphinx
Group: Development/Python
Requires: %name = %epoch:%version-%release
Requires: %name-pickles = %epoch:%version-%release
PreReq: rpm-macros-%oname >= %epoch:%version-%release
Requires: python-module-objects.inv

%description devel
Sphinx is a tool that makes it easy to create intelligent and beautiful
documentation for Python projects (or other documents consisting of
multiple reStructuredText sources)

This package destinated for development of Python modules.

%package -n rpm-macros-%oname
Summary: RPM macros for build with Sphinx
Group: Development/Python
Requires: rpm-build-python

%description -n rpm-macros-%oname
Sphinx is a tool that makes it easy to create intelligent and beautiful
documentation for Python projects (or other documents consisting of
multiple reStructuredText sources)

This packages contains RPM macros for build with Sphinx.

%package tests
Summary: Tests for Sphinx
Group: Development/Python
Requires: %name = %epoch:%version-%release
%py_requires nose

%description tests
Sphinx is a tool that makes it easy to create intelligent and beautiful
documentation for Python projects (or other documents consisting of
multiple reStructuredText sources)

This packages contains tests for Sphinx.

%package doc
Summary: Documentation for Sphinx
Group: Development/Python

%description doc
Sphinx is a tool that makes it easy to create intelligent and beautiful
documentation for Python projects (or other documents consisting of
multiple reStructuredText sources)

This package contains documentation for Sphinx itself.

%package pickles
Summary: Pickles for Sphinx
Group: Development/Python

%description pickles
Sphinx is a tool that makes it easy to create intelligent and beautiful
documentation for Python projects (or other documents consisting of
multiple reStructuredText sources)

This packages contains pickles for Sphinx.

%prep
%setup
install -p -m644 %SOURCE1 %SOURCE2 .

install -p -m644 %python_sitelibdir/%oname/objects.inv doc
install -p -m644 %python_sitelibdir/%oname/objects.inv tests

%build
%python_build

# docs

%make_build -C doc
%make_build -C doc man

%install
%python_install

# docs

install -d %buildroot%_docdir/%name/pdf
install -d %buildroot%_man1dir

cp -fR doc/_build/html %buildroot%_docdir/%name/
install -p -m644 doc/_build/latex/*.pdf %buildroot%_docdir/%name/pdf
install -p -m644 AUTHORS CHANGES EXAMPLES LICENSE README TODO \
	%buildroot%_docdir/%name
install -p -m644 doc/_build/man/*.1 %buildroot%_man1dir

# add pickle files

install -d %buildroot%python_sitelibdir/%oname/doctrees
install -p -m644 doc/_build/doctrees/*.pickle \
	%buildroot%python_sitelibdir/%oname/doctrees/
install -p -m644 %oname/pycode/*.pickle \
	%buildroot%python_sitelibdir/%oname/pycode/
cp -fR doc/_build/pickle %buildroot%python_sitelibdir/%oname/
install -p -m644 conf.py.template \
	%buildroot%python_sitelibdir/%oname/

# tests

cp -fR tests %buildroot%python_sitelibdir/%oname/
for i in $(find %buildroot%python_sitelibdir/%oname/tests -type d)
do
	touch $i/__init__.py
done

# macros

install -d %buildroot%_rpmmacrosdir
install -p -m644 macro %buildroot%_rpmmacrosdir/%oname

install -p -m644 %oname/directives/desc.py \
	%buildroot%python_sitelibdir/%oname/directives/

#check
# test_autosummary work only with installed Sphinx
#rm -f tests/test_autosummary.py
#make test

%files
%_bindir/*
%python_sitelibdir/%oname/
%exclude %python_sitelibdir/%oname/tests
%exclude %python_sitelibdir/%oname/pickle
%exclude %python_sitelibdir/%oname/doctrees
%python_sitelibdir/*.egg-info
%_man1dir/*

%files devel

%files pickles
%python_sitelibdir/%oname/pickle
%python_sitelibdir/%oname/doctrees

%files tests
%python_sitelibdir/%oname/tests

%files doc
%doc %_docdir/%name

%files -n rpm-macros-%oname
%_rpmmacrosdir/%oname

%changelog
* Sat Apr 02 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1:1.0.7-alt1
- Version 1.0.7

* Thu Mar 31 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1:1.0.5-alt2
- Moved development requirements devel subpackage (inspired by damir@)
- Fixed requirements with %%epoch

* Sun Nov 28 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1:1.0.5-alt1
- Version 1.0.5

* Thu Jul 29 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1:1.0.1-alt2
- Restored sphinx.directives.desc
- Added requirement on simplejson

* Wed Jul 28 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1:1.0.1-alt1
- Version 1.0.1

* Wed Jun 09 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1:0.6.7-alt2
- Version 0.6.7 (version down from 1.0b2)

* Sat Feb 27 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.4-alt11
- Avoided rewrite conf.py

* Sat Feb 27 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.4-alt10
- Use objects.inv instead of Grammar file for build docs
- Macro %%prepare_sphinx need directory for copying files as parameter

* Tue Feb 23 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.4-alt9
- Added runtime requirement on %name-pickles

* Tue Feb 23 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.4-alt8
- Fixed syntax error in %%generate_pickles

* Tue Feb 23 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.4-alt7
- Macros: %%generate_pickles: added 3rd parameter for module name

* Mon Feb 22 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.4-alt6
- Macros %%generate_pickles: extended set of 1st parameter

* Wed Feb 17 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.4-alt5
- Added macros %%generate_pickles() for generating pickles in packages,
  that haven't this functions
- Add conf.py.template for work of Sphinx, when it copy into current
  docs directory (macros %%generate_pickles())

* Mon Feb 08 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.4-alt4
- Added macros %%sphinx_Grammar_file

* Mon Feb 01 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.4-alt3
- Added build time pickle files. E.g., files environment.pickle,
  searchindex.pickle and globalcontext.pickle may using as sources pickle
  files when build documentation

* Sun Jan 31 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.4-alt2
- Added:
  + pickles file (need by documentation process for some packages)
  + docs in PDF
  + manpages
  + tests package (fixed error in tests)
  + package with macros, need by build with python-module-%oname
- Enabled `make test' when build packages

* Thu Jan 21 2010 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.4-alt1
- 0.6.4 (closes: #22808)

* Thu Nov 12 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.3-alt1.1
- Rebuilt with python 2.6

* Thu Sep 17 2009 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.3-alt1
- 0.6.3

* Mon May 04 2009 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.1-alt2
- build HTML docs and package them as -doc subpackage

* Mon May 04 2009 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.1-alt1
- initial build
